---
title: '`glab repo`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Work with GitLab repositories and projects.

## Synopsis

Create, clone, fork, view, and manage GitLab projects. List and
search for projects, and configure project settings such as
mirroring and members.

## Aliases

```plaintext
project
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`archive`](archive.md)
- [`clone`](clone.md)
- [`contributors`](contributors.md)
- [`create`](create.md)
- [`delete`](delete.md)
- [`fork`](fork.md)
- [`list`](list.md)
- [`members`](members/_index.md)
- [`mirror`](mirror.md)
- [`prune`](prune.md)
- [`publish`](publish/_index.md)
- [`remote`](remote/_index.md)
- [`search`](search.md)
- [`transfer`](transfer.md)
- [`update`](update.md)
- [`view`](view.md)
